﻿using Microsoft.AspNetCore.SignalR;

namespace API_SequentMicrosystems.Hubs
{
    public class SyncHub : Hub
    {

        public async Task SyncClients()
        {
            await Clients.All.SendAsync("ClientsRequest");
        }

        public async Task SyncClientResponse(string clientID)
        {
            await Clients.All.SendAsync("ClientsResponse", clientID);
        }

        public async Task SyncRequest(string clientID)
        {
            await Clients.All.SendAsync("SyncRequested", clientID);
        }

        public async Task SyncPoints(string clientID, string data)
        {
            await Clients.All.SendAsync("SyncPointsData", clientID, data);
        }

        public async Task SyncRTD8TMChart(string clientID, string data)
        {
            await Clients.All.SendAsync("SyncRTD8TMChartData", clientID, data);
        }




    }
}
